Include file data in data

09/10/2016 04:35 AM - Luke Murphey

Status: Closed Start date: 09/10/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

Associated revisions

Revision 36 - 07/06/2017 06:28 AM - luke.murphey

Adding parsing of JSON data

Reference #1471

Revision 37 - 07/06/2017 04:59 PM - luke.murphey

Using an ordered dictionary for the results and fixing error when no body was provided

Reference #1471

Revision 38 - 07/06/2017 06:18 PM - luke.murphey

Added handling of plain-text data and improved error messaging

Reference #1471

History

#1 - 09/10/2016 05:21 PM - Luke Murphey

- Target version deleted (0.7)

#2 - 09/27/2016 03:51 PM - Luke Murphey

- Target version set to 1.0

#3 - 09/27/2016 03:52 PM - Luke Murphey

See:

http://stackoverflow.com/questions/26598828/how-do-i-receive-files-via-pythons-basehttprequesthandler-class

http://stackoverflow.com/questions/13146064/simple-python-webserver-to-save-file

#4 - 06/30/2017 03:24 AM - Luke Murphey

I need to handle application/json and perhaps form data and text/plain.

#5 - 07/06/2017 06:27 AM - Luke Murphey
http://stackoverflow.com/questions/26598828/how-do-i-receive-files-via-pythons-basehttprequesthandler-class
http://stackoverflow.com/questions/13146064/simple-python-webserver-to-save-file


curl -d '{"key1":"value1", "key2":"value2"}' -H "Content-Type: application/json" -X POST http://localhost/data

#6 - 07/06/2017 06:31 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 50

#7 - 07/06/2017 06:28 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
